Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001602TestLinkDatabase MySQLpublic2008-07-01 18:472008-11-07 19:45
Reportergquintana 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.7.4 
Fixed in Version1.8 Beta 2 
Summary0001602: MyISAM engine always used
DescriptionWhen installing TestLink on MySQL with the setup wizard, tables are created to use MyISAM engine even if InnoDB is the default engine.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0003753)
mhavlat (reporter)
2008-07-02 04:28

Reminder sent to: fman

Francisco, do we have a reason to use MyISAM? I see that the engine is directly defined in schema definition.
(0003762)
fman (administrator)
2008-07-02 21:59

We have never used InnoDB, never done a test => we now only support MyISAM.
(0003763)
mhavlat (reporter)
2008-07-03 03:26

Is there any syntax limitation of our SQL scripts for using with innoDB? I just find that InnoDB supports transactions and is optimized for large amount of data.

So, currently I don't see any benefit to support InnoDb engine. The question remains if we must force using MyISAM. I expect that everything will work with InnoDB correctly. Could somebody confirm my inexperienced expectation?

Workaround: patch installation SQL scripts (remove engine definition for CREATE TABLE).
(0003764)
fman (administrator)
2008-07-03 13:44

fixed

- Issue History
Date Modified Username Field Change
2008-07-01 18:47 gquintana New Issue
2008-07-02 04:28 mhavlat Note Added: 0003753
2008-07-02 21:59 fman Note Added: 0003762
2008-07-03 03:26 mhavlat Note Added: 0003763
2008-07-03 13:44 fman Note Added: 0003764
2008-07-03 13:45 fman Status new => resolved
2008-07-03 13:45 fman Fixed in Version => 1.8 Beta 2
2008-07-03 13:45 fman Resolution open => fixed
2008-07-03 13:45 fman Assigned To => fman
2008-11-07 19:45 mhavlat Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker